Create chat completion
curl --request POST \
--url https://api.llmrouter.app/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"messages": [
{
"content": "<string>",
"name": "<string>"
}
],
"temperature": 1,
"max_tokens": 123,
"stream": false,
"gateway": {
"zdr": true,
"order": [
"<string>"
],
"only": [
"<string>"
],
"planningTriggerScore": 0.5,
"imageGenerationModel": "<string>",
"tags": [
{
"name": "<string>",
"description": "<string>",
"models": [
"<string>"
]
}
],
"chatHistoryCompression": {
"enabled": false,
"score": 0.6
},
"mediaOptimization": false,
"toolOptimization": {
"enabled": false,
"acceptScore": 0.5,
"alwaysInclude": [
"<string>"
]
},
"redact": {
"email": true,
"phone": true,
"ip": true,
"uuid": true,
"token": true,
"credit_card": true,
"iban": true,
"ssn": true,
"mac": true,
"custom": [
"<string>"
]
}
}
}
'import requests
url = "https://api.llmrouter.app/v1/chat/completions"
payload = {
"model": "<string>",
"messages": [
{
"content": "<string>",
"name": "<string>"
}
],
"temperature": 1,
"max_tokens": 123,
"stream": False,
"gateway": {
"zdr": True,
"order": ["<string>"],
"only": ["<string>"],
"planningTriggerScore": 0.5,
"imageGenerationModel": "<string>",
"tags": [
{
"name": "<string>",
"description": "<string>",
"models": ["<string>"]
}
],
"chatHistoryCompression": {
"enabled": False,
"score": 0.6
},
"mediaOptimization": False,
"toolOptimization": {
"enabled": False,
"acceptScore": 0.5,
"alwaysInclude": ["<string>"]
},
"redact": {
"email": True,
"phone": True,
"ip": True,
"uuid": True,
"token": True,
"credit_card": True,
"iban": True,
"ssn": True,
"mac": True,
"custom": ["<string>"]
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
messages: [{content: '<string>', name: '<string>'}],
temperature: 1,
max_tokens: 123,
stream: false,
gateway: {
zdr: true,
order: ['<string>'],
only: ['<string>'],
planningTriggerScore: 0.5,
imageGenerationModel: '<string>',
tags: [{name: '<string>', description: '<string>', models: ['<string>']}],
chatHistoryCompression: {enabled: false, score: 0.6},
mediaOptimization: false,
toolOptimization: {enabled: false, acceptScore: 0.5, alwaysInclude: ['<string>']},
redact: {
email: true,
phone: true,
ip: true,
uuid: true,
token: true,
credit_card: true,
iban: true,
ssn: true,
mac: true,
custom: ['<string>']
}
}
})
};
fetch('https://api.llmrouter.app/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"content": "<string>",
"name": "<string>"
},
"finish_reason": "<string>"
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"cost": 123,
"planning_usage_details": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"cost": 123
}
}
}{
"error": {
"message": "<string>"
}
}Chat
Create chat completion
Creates a completion for the chat conversation. Fully OpenAI compatible. Any additional property supported by the target model (e.g., tools, response_format, top_p) will be passed through.
POST
/
chat
/
completions
Create chat completion
Authorizations
LLM Router API Key (e.g., sk-llmr-...)
Body
application/json
Chat completion request parameters
Accepts any additional properties supported by the upstream model (e.g., tools, top_p, response_format).
⌘I